﻿package com.Tutorial 
{
    import com.adamatomic.flixel.*;
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	public class IntroState extends FlxState
	{
		private var _introTimer:Number;
		private var _pressed:Boolean;
		private var _gameOver:Boolean;
		
		public function IntroState():void
		{
			_introTimer = 2;
			_pressed = false;
			
			if (FlxG.level == PlayState.levelMAX)
			{
				_gameOver = true;
			}
			else
			{
				_gameOver = false;
			}
			
			if (!_gameOver)
				this.add(new FlxText(0, (FlxG.width / 2) - 80, FlxG.width, 80, "Level "+(FlxG.level+1), 0xffffffff, null, 16, "center")) as FlxText;
			else
				this.add(new FlxText(0, (FlxG.width / 2) - 80, FlxG.width, 80, "Game Over", 0xffffffff, null, 16, "center")) as FlxText;
			
			var prefactoryarray:Array = new Array("My cat gets lost.",
												  "My cat gets lost some more.",
												  "Where is my cat?",
												  "I wonder why my cat leaves me?",
												  "Why do you run away, cat?",
												  "Do you not like me, cat?",
												  "You always seem happy to be found, cat.",
												  "Cat, what do you desire?",
												  "You are so coy, my cat.",
												  "Maybe you are not my cat.",
												  "Maybe each time you run away, I catch a different cat.",
												  "But you have a unique identity nonetheless.",
												  "You are a manifold-cat.",
												  "You have a thousand tails and a thousand miaows.",
												  "I could spend a thousand years petting you.",
												  "You have so many different coats.",
												  "So many different faces have you, my cat.",
												  "I remember all of your kittens.",
												  "Oh you are such a delightful-cat.",
												  "My dear loyal pussy cat.",
												  "Cat, you are the best cat in the whole world."
												  );
												  
			this.add(new FlxText(0, (FlxG.width / 2) - 40, FlxG.width, 80, prefactoryarray[FlxG.level], 0xffffffff, null, 8, "center")) as FlxText;
		}
		
		
        override public function update():void
		{
			_introTimer -= FlxG.elapsed;
			
			if (FlxG.justPressed(FlxG.A || FlxG.B))
			{
				_pressed = true;
			}
			
			if ((_introTimer <= 0 || (_pressed && _introTimer<1.5))&&!_gameOver)
			{
				FlxG.switchState(PlayState);
			}

			super.update();
		}
		
	}

}